> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/storefronts/open-page-on-the-storefront/open-search-page-with-params.md).

# Open search page with params

Base JS call:

```javascript
Ecwid.openPage('search');
```

List of additional parameters for the call:

* `'keyword'`: Search string for product title, description, and SKU.
* `'inventory'`: Supports only one value: if `instock`, only products "In stock" are returned.
* `'onsale'`: Supports only one value: if `onsale`, only products with "Compare to" prices are returned.
* `'priceFrom'`: Minimum product price for search, for example, `500.00`.
* `'priceTo'`: Maximum product price for search, for example, `899.99`.
* `'offset'`: Offset from the beginning of the returned items list. Default is 0.
* `'categories'`: Category IDs for search, for example: `0,123456,8236623`
* `'includeProductsFromSubcategories'`: Supports two values: if `true`, the search includes products from subcategories of selected categories, `false` otherwise. Default is `true`.
* `'attribute_[name]=[values]'`: Search by product attributes. Accepts several values separated by a comma. To search for an exact match to attribute value, enclose it in quotation marks.
* `'option_[name]=[values]'`: Search by product options. Accepts several values separated by a comma. To search for an exact match to option value, enclose it in quotation marks.
* `'createdFrom'`: Product creation datetime (lower bound) matching REST API date format, for example, `createdFrom=2020-01-30 10:00:00 +0000`.
* `'createdTo'`: Product creation datetime (upper bound) matching REST API date format, for example, `createdFrom=2020-01-30 10:00:00 +0000`.

Code examples:

```javascript
Ecwid.openPage('search', {'keyword': 'surfboard', 'page': 2});

Ecwid.openPage('search', {'priceTo': '50'});

Ecwid.openPage(
    'search', 
    {
      'keyword': 'shoes', 
      'attribute_Brand': 'Nike',
      'inventory': 'instock',
      'offset': 50
    }
  );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/storefronts/open-page-on-the-storefront/open-search-page-with-params.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
